unit sambase;

interface

uses
  WinProcs, WinTypes, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, AdDateVa, ExtCtrls, ShellAPI, adwfoc, adEdit,  admemo, 
  adchkbx, adRadGrp, adgrpbox, adCombo, AdSpinEd, adComped, AdString,
  adCompcm;

type
  TTAdrockDateValidityFunctionsForm = class(TForm)
    Panel4: TPanel;
    Label4: TLabel;
    Label17: TLabel;
    Label28: TLabel;
    Label42: TLabel;
    Panel9: TPanel;
    ColorDialog1: TColorDialog;
    Label49: TLabel;
    Label51: TLabel;
    Bevel13: TBevel;
    Bevel12: TBevel;
    Bevel11: TBevel;
    Label30: TLabel;
    Label31: TLabel;
    Label50: TLabel;
    LabeluserName: TLabel;
    Label40: TLabel;
    LabelAddress: TLabel;
    Label48: TLabel;
    LabelPhone: TLabel;
    LabelFax: TLabel;
    LabelCity: TLabel;
    LabelCountry: TLabel;
    LabelHobbies: TLabel;
    LabelAlias: TLabel;
    LabelGoal: TLabel;
    BackColorButton: TBitBtn;
    FontStyleColorButton: TBitBtn;
    Panel8: TPanel;
    Label37: TLabel;
    Label38: TLabel;
    Bevel4: TBevel;
    Label52: TLabel;
    Label54: TLabel;
    Bevel8: TBevel;
    Memo1: TMemo;
    EditUserName: TAdrockAutoCompletionEdit;
    TAdrockEditEnabled: TAdrockCheckBox;
    TAdrockEditFontBold: TAdrockCheckBox;
    TAdrockEditFontUnderline: TAdrockCheckBox;
    TAdrockEditFontItalic: TAdrockCheckBox;
    TAdrockEditFontStrikeout: TAdrockCheckBox;
    EditHobbies: TAdrockEdit;
    EditStyle: TAdrockComboBox;
    EditPhone: TAdrockEdit;
    EditFax: TAdrockEdit;
    EditAddress: TAdrockMemo;
    EditCity: TAdrockEdit;
    EditAlias: TAdrockEdit;
    EditGoal: TAdrockEdit;
    EditCountry: TAdrockAutoCompletionComboBox;
    EditOptions: TAdrockGroupBox;
    EditAge: TAdrockRadioGroup;
    AdrockCheckBox1: TAdrockCheckBox;
    AdrockCheckBox2: TAdrockCheckBox;
    AdrockCheckBox3: TAdrockCheckBox;
    EditYearsOld: TAdrockSpinEdit;
    LabelYearsOld: TLabel;
    AdrockSpinButton1: TAdrockSpinButton;
    AutoCompletionStrings: TAdrockStrings;
    procedure Edit1Change(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Label17Click(Sender: TObject);
    procedure Label42Click(Sender: TObject);
    procedure Label1Click(Sender: TObject);
    procedure BackColorButtonClick(Sender: TObject);
    procedure FontStyleColorButtonClick(Sender: TObject);
    procedure TAdrockEditEnabledClick(Sender: TObject);
    procedure TAdrockEditFontBoldClick(Sender: TObject);
    procedure TAdrockEditFontItalicClick(Sender: TObject);
    procedure TAdrockEditFontUnderlineClick(Sender: TObject);
    procedure TAdrockEditFontStrikeoutClick(Sender: TObject);
    procedure EditStyleChange(Sender: TObject);
    procedure Label51Click(Sender: TObject);
    procedure AdrockSpinButton1UpClick(Sender: TObject);
    procedure AdrockSpinButton1DownClick(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TAdrockDateValidityFunctionsForm: TTAdrockDateValidityFunctionsForm;

implementation

{$R *.DFM}

procedure TTAdrockDateValidityFunctionsForm.Edit1Change(Sender: TObject);
{Var
 fDate : TDateTime;
 DateTimeValidityClass : TAdrockDateTimeValidityClass;
 }
begin
{
  if (DateTimeValidityClass.IsValidDate(ComboBox1.Text) = FALSE) then
      IsValidDateLabel.Caption := 'Unable to Decode'
  else
   begin
     fDate := DateTimeValidityClass.StrToDate(ComboBox1.Text);
     IsValidDateLabel.Caption := 'Success :'+ FormatDateTime('DDDD D MMMM, YYYY', fDate);
   end;

  if (DateTimeValidityClass.IsValidDateTime(ComboBox1.Text) = FALSE) then
      IsValidDateTimeLabel.Caption := 'Unable to Decode'
  else
   begin
     fDate := DateTimeValidityClass.StrToDateTime(ComboBox1.Text);
     IsValidDateTimeLabel.Caption := 'Success :'+ FormatDateTime('DDDD D MMMM, YYYY  HH:MM:SS AM/PM', fDate);
   end;
  }
end;

procedure TTAdrockDateValidityFunctionsForm.BitBtn1Click(Sender: TObject);
begin
{     ComboBox1.Text := FormatDateTime('DDDD D, MMMM, YYYY', Date);}     
end;

procedure TTAdrockDateValidityFunctionsForm.BitBtn2Click(Sender: TObject);
begin
     ShowMessage('OK');

end;

procedure TTAdrockDateValidityFunctionsForm.BitBtn3Click(Sender: TObject);
begin
     ShowMessage('Cancel');
end;

procedure TTAdrockDateValidityFunctionsForm.FormCreate(Sender: TObject);
begin
{  ResultLabel.Caption := 'Result (if current date = '+FormatDateTime('D MMM, YYYY', Now)+')';}
  EditStyle.ItemIndex := 1;
  Edit1Change(Sender);
end;


procedure TTAdrockDateValidityFunctionsForm.Label17Click(Sender: TObject);
begin
  ShellExecute(Application.Handle, nil, 'http://www.adrock.com', '', '', SW_SHOWNA);
end;

procedure TTAdrockDateValidityFunctionsForm.Label42Click(Sender: TObject);
begin
  ShellExecute(Application.Handle, nil, 'MailTo:Sales@Adrock.COM', '', '', SW_SHOWNA);
end;

procedure TTAdrockDateValidityFunctionsForm.Label1Click(Sender: TObject);
begin
  ShellExecute(Application.Handle, nil, 'MailTo:Bugs@Adrock.COM', '', '', SW_SHOWNA);
end;

procedure TTAdrockDateValidityFunctionsForm.BackColorButtonClick(
  Sender: TObject);
begin
  ColorDialog1.Color := EditUserName.WhenFocused.BackColor;
  if (ColorDialog1.Execute) then
    begin
      EditUserName.WhenFocused.BackColor := ColorDialog1.Color;
      EditAddress.WhenFocused.BackColor := ColorDialog1.Color;
      EditCity.WhenFocused.BackColor := ColorDialog1.Color;
      EditCountry.WhenFocused.BackColor := ColorDialog1.Color;
      EditPhone.WhenFocused.BackColor := ColorDialog1.Color;
      EditFax.WhenFocused.BackColor := ColorDialog1.Color;
      EditHobbies.WhenFocused.BackColor := ColorDialog1.Color;
      EditGoal.WhenFocused.BackColor := ColorDialog1.Color;
      EditAlias.WhenFocused.BackColor := ColorDialog1.Color;
    end;
end;

procedure TTAdrockDateValidityFunctionsForm.FontStyleColorButtonClick(
  Sender: TObject);
begin
  ColorDialog1.Color := EditUserName.WhenFocused.FocusLabelStyle.FontColor;
  if (ColorDialog1.Execute) then
    begin
      EditUserName.WhenFocused.FocusLabelStyle.FontColor := ColorDialog1.Color;
      EditAddress.WhenFocused.FocusLabelStyle.FontColor := ColorDialog1.Color;
      EditCity.WhenFocused.FocusLabelStyle.FontColor := ColorDialog1.Color;
      EditCountry.WhenFocused.FocusLabelStyle.FontColor := ColorDialog1.Color;
      EditPhone.WhenFocused.FocusLabelStyle.FontColor := ColorDialog1.Color;
      EditFax.WhenFocused.FocusLabelStyle.FontColor := ColorDialog1.Color;
      EditHobbies.WhenFocused.FocusLabelStyle.FontColor := ColorDialog1.Color;
      EditGoal.WhenFocused.FocusLabelStyle.FontColor := ColorDialog1.Color;
      EditAlias.WhenFocused.FocusLabelStyle.FontColor := ColorDialog1.Color;
    end;
end;

procedure TTAdrockDateValidityFunctionsForm.TAdrockEditEnabledClick(
  Sender: TObject);
begin
  EditUserName.WhenFocused.Enabled := (Sender as TAdrockCheckBox).Checked;
  EditAddress.WhenFocused.Enabled := (Sender as TAdrockCheckBox).Checked;
  EditCity.WhenFocused.Enabled := (Sender as TAdrockCheckBox).Checked;
  EditCountry.WhenFocused.Enabled := (Sender as TAdrockCheckBox).Checked;
  EditPhone.WhenFocused.Enabled := (Sender as TAdrockCheckBox).Checked;
  EditFax.WhenFocused.Enabled := (Sender as TAdrockCheckBox).Checked;
  EditHobbies.WhenFocused.Enabled := (Sender as TAdrockCheckBox).Checked;
  EditGoal.WhenFocused.Enabled := (Sender as TAdrockCheckBox).Checked;
  EditAlias.WhenFocused.Enabled := (Sender as TAdrockCheckBox).Checked;
end;

procedure TTAdrockDateValidityFunctionsForm.TAdrockEditFontBoldClick(
  Sender: TObject);
begin
   if (Sender as TAdrockCheckBox).Checked then
     EditUserName.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle + [fsbold]
   else
     EditUserName.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle - [fsbold];

  EditAddress.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditCity.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
//  EditCountry.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditPhone.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditFax.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditHobbies.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditGoal.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditAlias.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
end;

procedure TTAdrockDateValidityFunctionsForm.TAdrockEditFontItalicClick(
  Sender: TObject);
begin
   if (Sender as TAdrockCheckBox).Checked then
     EditUserName.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle + [fsItalic]
   else
     EditUserName.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle - [fsItalic];

  EditAddress.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditCity.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditCountry.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditPhone.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditFax.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditHobbies.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditGoal.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditAlias.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
end;

procedure TTAdrockDateValidityFunctionsForm.TAdrockEditFontUnderlineClick(
  Sender: TObject);
begin
   if (Sender as TAdrockCheckBox).Checked then
     EditUserName.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle + [fsUnderline]
   else
     EditUserName.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle - [fsUnderline];

  EditAddress.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditCity.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditCountry.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditPhone.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditFax.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditHobbies.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditGoal.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditAlias.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
end;

procedure TTAdrockDateValidityFunctionsForm.TAdrockEditFontStrikeoutClick(
  Sender: TObject);
begin
   if (Sender as TAdrockCheckBox).Checked then
     EditUserName.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle + [fsStrikeout]
   else
     EditUserName.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle - [fsStrikeout];

  EditAddress.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditCity.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditCountry.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditPhone.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditFax.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditHobbies.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditGoal.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
  EditAlias.WhenFocused.FocusLabelStyle.FontStyle := EditUserName.WhenFocused.FocusLabelStyle.FontStyle;
end;

procedure TTAdrockDateValidityFunctionsForm.EditStyleChange(
  Sender: TObject);
begin
  EditUserName.WhenFocused.SetGlobalStyle(TRUE, clOlive, clBlue, [fsBold, fsItalic],-1);
  case (Sender as TComboBox).ItemIndex of
    0 : EditUserName.WhenFocused.SetGlobalStatus(gsGlobalDisableAll);
    1 : EditUserName.WhenFocused.SetGlobalStatus(gsGlobalDisabled);
    2 : EditUserName.WhenFocused.SetGlobalStatus(gsGlobalEnabled);
  end;
end;

procedure TTAdrockDateValidityFunctionsForm.Label51Click(Sender: TObject);
begin
  ShellExecute(Application.Handle, nil, 'http://www.adrock.com/register.html', '', '', SW_SHOWNA);
end;


procedure TTAdrockDateValidityFunctionsForm.AdrockSpinButton1UpClick(
  Sender: TObject);
begin
  ShowMessage('You clicked on the Up Button of the TAdrockSpinButton');
end;

procedure TTAdrockDateValidityFunctionsForm.AdrockSpinButton1DownClick(
  Sender: TObject);
begin
  ShowMessage('You clicked on the Down Button of the TAdrockSpinButton');
end;

procedure TTAdrockDateValidityFunctionsForm.SpeedButton1Click(
  Sender: TObject);
begin
  EditCountry.SelStart := 2;
  EditCountry.SelLength := 3
end;

end.
